Page MenuHomePhabricator

Update payment methods and submethods for AstroPay LATAM rollout
Closed, ResolvedPublic2 Story Points

Description

We've got a lot of these configured, but the AstroPay web site has newer info than the PDF we initially based them on. Update methods and submethods for each country based on info at https://developers.astropay.com/#cc_pm_codes

Create new submethod codes for Santander in different countries.

Update visa debit to use submethod code visa-debit

Add 'cash' method and submethods

in DonationInterface: astropay.adapter.php, DonationInterfaceFormSettings.php

in SmashPig: PaymentProviders\AstroPay\ReferenceData

in CRM: wmf_civicrm.install, wmf_civicrm.module (also fix mc-debit on line 569)

Event Timeline

Ejegg created this task.Jan 21 2016, 6:51 PM
Ejegg updated the task description. (Show Details)
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
Ejegg added subscribers: Aklapper, StudiesWorld, Ejegg.
DStrine edited a custom field.Feb 9 2016, 8:33 PM
XenoRyet claimed this task.Feb 17 2016, 9:32 PM
Ejegg updated the task description. (Show Details)Feb 18 2016, 5:06 PM
Ejegg changed the point value for this task from 1 to 2.
Ejegg added a subscriber: XenoRyet.
Ejegg added a comment.Feb 18 2016, 5:09 PM

Grr, dev site doesn't do URL fragments right. You have to click on 'Streamline', then you can add the #cc_pm_codes or scroll down 3/4 of the way.

Change 273507 had a related patch set uploaded (by Ejegg):
Add more Latin American methods for AstroPay

https://gerrit.wikimedia.org/r/273507

Change 273515 had a related patch set uploaded (by Ejegg):
Add more Latin American methods for AstroPay

https://gerrit.wikimedia.org/r/273515

Change 273507 merged by jenkins-bot:
Add more Latin American methods for AstroPay

https://gerrit.wikimedia.org/r/273507

Change 273515 merged by jenkins-bot:
Add more Latin American methods for AstroPay

https://gerrit.wikimedia.org/r/273515

Change 274648 had a related patch set uploaded (by XenoRyet):
Update payment methods and submethods for AstroPay LATAM rollout

https://gerrit.wikimedia.org/r/274648

Change 274648 merged by jenkins-bot:
Update payment methods and submethods for AstroPay LATAM rollout

https://gerrit.wikimedia.org/r/274648

Change 275029 had a related patch set uploaded (by Ejegg):
Add more LATAM card logos

https://gerrit.wikimedia.org/r/275029

Change 275029 merged by jenkins-bot:
Add more LATAM card logos

https://gerrit.wikimedia.org/r/275029

It looks like all the above patches have merged? For country=MX and payment_method=cc, I'm getting 404 for card-visa-debit.png and no src for the img tag for Mastercard Debit, so no images in the form for those two options.

Follow-up ^ it was a vagrant issue. (http://payments.wiki.local.wmftest.net:8080/w/extensions was exposing static resources under /vagrant/mediawiki rather than /vagrant/mediawiki-fr. Since I have DonationInterface installed there, too, I was getting some images, but not the new ones.)

Change 275598 had a related patch set uploaded (by Ejegg):
Add more Chile payment methods

https://gerrit.wikimedia.org/r/275598

Change 275598 merged by jenkins-bot:
Add more Chile payment methods

https://gerrit.wikimedia.org/r/275598

Change 276166 had a related patch set uploaded (by Ejegg):
Add UYU currency to AstroPay adapter

https://gerrit.wikimedia.org/r/276166

Change 276167 had a related patch set uploaded (by Ejegg):
Add PSE bank trasfer to AstroPay adapter

https://gerrit.wikimedia.org/r/276167

Change 276168 had a related patch set uploaded (by Ejegg):
Add form settings for new AstroPay methods

https://gerrit.wikimedia.org/r/276168

Change 276194 had a related patch set uploaded (by Ejegg):
Fix BBVA Bancomer bank code

https://gerrit.wikimedia.org/r/276194

Change 276237 had a related patch set uploaded (by Ejegg):
Add more credit cards (for Chile)

https://gerrit.wikimedia.org/r/276237

Change 276166 merged by jenkins-bot:
Add UYU currency to AstroPay adapter

https://gerrit.wikimedia.org/r/276166

Change 276167 merged by jenkins-bot:
Add PSE bank trasfer to AstroPay adapter

https://gerrit.wikimedia.org/r/276167

Change 276194 merged by jenkins-bot:
Fix BBVA Bancomer bank code

https://gerrit.wikimedia.org/r/276194

Change 276168 merged by jenkins-bot:
Add form settings for new AstroPay methods

https://gerrit.wikimedia.org/r/276168

Change 276237 merged by jenkins-bot:
Add more credit cards (for Chile)

https://gerrit.wikimedia.org/r/276237

Ejegg closed this task as Resolved.